SHOWALIGN(1e)

NAME
showalign - Display a multiple sequence alignment in pretty format

SYNOPSIS

showalign -sequence seqset [-matrix matrix] [-refseq string] [-bottom boolean] [-show list] [-order list] [-similarcase boolean] [-consensus boolean] -uppercase range -number boolean -ruler boolean -width integer -margin integer -html boolean -highlight range -plurality float -setcase float -identity float -gaps boolean -outfile outfile

showalign -help

DESCRIPTION

showalign is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Alignment:Multiple,Data retrieval:Sequence data" command group(s).

OPTIONS

  Input section

-sequence seqset
    The sequence alignment to be displayed.

-matrix matrix
    This is the scoring matrix file used when comparing sequences. By default it is the file 'EBLOSUM62' (for proteins) or the file 'EDNAFULL' (for nucleic sequences). These files are found in the 'data' directory of the EMBOSS installation.

  Additional section

-refseq string
    If you give the number in the alignment or the name of a sequence, it will be taken to be the reference sequence. The reference sequence is always shown in full and is the one against which all the other sequences are compared. If this is set to 0 then the consensus sequence will be used as the reference sequence. By default the consensus sequence is used as the reference sequence.

-bottom boolean
    If this is true then the reference sequence is displayed at the bottom of the alignment instead of the top. Default value: Y

-show list
    Default value: N

-order list
    Default value: I

-similarcase boolean
    If this is set True, then when -show is set to 'Similarities' or 'Non-identities' and a residue is similar but not identical to the reference sequence residue, it will be changed to lower-case. If -show is set to 'All' then non-identical, non-similar residues will be changed to lower-case. If this is False then no change to the case of the residues is made on the basis of their similarity to the reference sequence. Default value: Y

-consensus boolean
    If this is true then the consensus line is displayed. Default value: Y

  Advanced section

-uppercase range
    Regions to put in uppercase. If this is left blank, then the sequence case is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99

-number boolean
    If this option is true then a line giving the positions in the alignment is displayed every 10 characters above the alignment. Default value: Y

-ruler boolean
    If this option is true then a ruler line marking every 5th and 10th character in the alignment is displayed. Default value: Y

-width integer
    Default value: 60

-margin integer
    This sets the length of the left-hand margin for sequence names. If the margin is set at 0 then no margin and no names are displayed. If the margin is set to a value that is less than the length of a sequence name then the sequence name is displayed truncated to the length of the margin. If the margin is set to -1 then the minimum margin width that will allow all the sequence names to be displayed in full plus a space at the end of the name will automatically be selected. Default value: -1

-html boolean
    Default value: N

-highlight range
    Regions to colour if formatting for HTML. If this is left blank, then the sequence is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are followed by any valid HTML font colour. Examples of region specifications are: 24-45 blue 56-78 orange 1-100 green 120-156 red A file of ranges to colour (one range per line) can be specified as '@filename'.

-plurality float
    Set a cut-off for the % of positive scoring matches below which there is no consensus. The default plurality is taken as 50% of the total weight of all the sequences in the alignment. Default value: 50.0

-setcase float
    Sets the threshold for the scores of the positive matches above which the consensus is in upper-case and below which the consensus is in lower-case. By default this is set to be half of the (weight-adjusted) number of sequences in the alignment. Default value: @( $(sequence.totweight) / 2)

-identity float
    Provides the facility of setting the required number of identities at a position for it to give a consensus. Therefore, if this is set to 100% only columns of identities contribute to the consensus. Default value: 0.0

-gaps boolean
    If this option is true then gap characters can appear in the consensus. The alternative is 'N' for nucleotide, or 'X' for protein Default value: Y

  Output section

-outfile outfile

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

showalign is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.